关于Geany(用于编辑和运行python的编辑器)的配置问题

软件和网站开发以及相关技术探讨
回复
CBVon
帖子: 3
注册时间: 2016-11-23 17:33
系统: ubuntu-16.04-LTS
送出感谢: 0
接收感谢: 0

关于Geany(用于编辑和运行python的编辑器)的配置问题

#1

帖子 CBVon » 2016-12-01 17:42

ubuntu上安装Geany,按照相关教程配置python运行指令后可以正常运行python文件
转折。。。
由于需要numpy (Ubuntu自带的原始的python没有这个包)等扩展模块,于是 安装了anaconda(集成好了numpy等扩展包)来便于管理python包。
安装完毕后(测试python 显示已经由anaconda来管理支持,说明anaconda安装配置没有问题),在 终端直接运行 “python XXXX.py”指令 可以直接运行python文件。 (注:此时已经可以支持 numpy等包)
用 geany 来运行,还是显示不能支持 numpy 包。 (备注:geany 来运行一般的 py文件 依旧正常。)
非常奇怪,非常困惑。
头像
vickycq
帖子: 4507
注册时间: 2011-03-20 13:12
系统: Debian
来自: 山东省寿光县
送出感谢: 100 次
接收感谢: 991 次
联系:

Re: 关于Geany(用于编辑和运行python的编辑器)的配置问题

#2

帖子 vickycq » 2016-12-01 18:50

Debian 中文论坛 - forums.debiancn.org
欢迎所有 Debian GNU/Linux 用户
回复

回到 “软件/网站开发”